
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>《树莓派Python编程入门与实战》——1.3　哪些树莓派外设是必须的 / iVAN</title>

    <meta name="description" content="《树莓派Python编程入门与实战》——1.3　哪些树莓派外设是必须的 1.3 哪些树莓派外设是必须的 在这一点上,你必须要做出决定.你可以购买一个包含了树莓派和所有必要外设的预包装套件,也可以分别购买树莓派和它的必要外设.预包装套件将节省你的时间,但是会花费更多的钱.单独购买所有的东西会比较省钱,但是会花费一些时间.所以,购买之前你要综合考虑. 警告: 关于购买外设 在你购买树莓派和外设之前,请注意阅读本章剩下的内容.你需要知道一些重要的事情以避免浪费时间和金钱. 以下各节描述的是启动和运行树莓派所需要的基本外设. SD卡. 电源. 有HDMI接口的电视或者计算机">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">《树莓派Python编程入门与实战》——1.3　哪些树莓派外设是必须的</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h3>1.3　哪些树莓派外设是必须的</h3>
<p>在这一点上，你必须要做出决定。你可以购买一个包含了树莓派和所有必要外设的预包装套件，也可以分别购买树莓派和它的必要外设。预包装套件将节省你的时间，但是会花费更多的钱。单独购买所有的东西会比较省钱，但是会花费一些时间。所以，购买之前你要综合考虑。</p>
<p><strong>警告：</strong></p>
<pre><code>　关于购买外设

在你购买树莓派和外设之前，请注意阅读本章剩下的内容。你需要知道一些重要的事情以避免浪费时间和金钱。
</code></pre>
<p>以下各节描述的是启动和运行树莓派所需要的基本外设。</p>
<ul>
<li>SD卡。</li>
<li>电源。</li>
<li>有HDMI接口的电视或者计算机显示器。</li>
<li>USB键盘。</li>
</ul>
<p>接下来的几节将会讲述这些必要外设的详细信息。在本章的最后，你还将了解一些不错的额外的外部设备。</p>
<h3>1.3.1　SD卡</h3>
<p>树莓派没有内部存储设备，因此它没有预装的操作系统。SD卡用以存储在树莓派上运行的操作系统。你必须使用一个SD卡来启动你的树莓派。</p>
<p>大部分预包装的树莓派套件都附带了一个预装了操作系统的SD卡。如果你不买预包装套件，你有两个选择。</p>
<ul>
<li>买一个树莓派支持的SD卡并自己把操作系统部署上去（你将会在本章的最后学到这些内容）。</li>
<li>买一个已经预装了操作系统的SD卡。在elinux.org/RPi_Easy_SD_Card_Setup你可以找到出售这些SD卡的公司的列表。</li>
</ul>
<p><strong>警告：</strong></p>
<pre><code>　使用正确的SD卡

花一些时间来确保你为树莓派购买正确的SD卡，这会在下面讨论。合适的SD卡能让你的树莓派表现得更好。不合适的SD卡会带来很多麻烦。
</code></pre>
<p>如果你决定自己购买SD卡并部署操作系统，那就不能随便买一个旧的SD卡。你必须买一个适用于树莓派的SD卡。那么，如何找出该买哪种SD卡呢？幸运的是，嵌入式Linux百科页面的贡献者们都是热心人。在他们的树莓派SD卡页面（elinux.org/RPi_SD_cards）列出了多种树莓派可以使用的SD卡。一般来说，你需要一个至少4G空间（8G更好）的标准尺寸SDHC卡。</p>
<p><strong>提示：</strong></p>
<pre><code>　SD卡容量

不必非得用SD卡的空间来存储文件和程序。你也可以通过树莓派的USB端口连接存储设备。但你仍然需要SD卡来启动树莓派。
</code></pre>
<h3>1.3.2　电源</h3>
<p>树莓派并没有附带可以直接插到墙上插座的电源线。它使用一个B型Micro USB母口作为电源接口。下面是树莓派对电源的基本要求。</p>
<ul>
<li>5伏。</li>
<li>700毫安。</li>
</ul>
<p>电流可以略超过700毫安。事实上，最好是能提供略大的电流，因为你添加的外设（如USB鼠标）越多，系统需要的电流就越大。</p>
<p>这里你有多种选择，从超级便宜的到灵活但昂贵的。下文会介绍更多信息。</p>
<p>1．廉价电源</p>
<p>如果你有一个带有B型Micro USB公连接器的手机充电器，那么你很幸运。看一下输出端，检查一下上面标识的输出电压和电流。如果你的手机充电器提供5伏700毫安的输出，那么你可以用它来驱动你的树莓派。有些人发现，使用一些其他的充电器，如电子阅读器的充电器，树莓派同样能正常工作。</p>
<p><strong>提示：</strong></p>
<pre><code>　更长的电源线

记住当你为树莓派搭配电源线时，线越长，你能获得自由度也就越大。如果你用一根短的电源线连接树莓派，那么你树莓派的移动和放置都会受到很大的限制。一般来说，更长的线缆等于更大的自由度。
</code></pre>
<p>如果你住在一个非常现代化的公寓或家里，墙上的插座有A型USB接口，那么你可以用这些接口给树莓派供电。你需要买一根一端是A型USB公连接器、一端是B型Micro USB公连接器的线。如果你没有这种墙壁插座，可以找个电工把传统的墙壁插座替换掉，当然也可以使用传统适配器。</p>
<p>2．传统电源</p>
<p>如果你不想让树莓派和你的手机或者电子书阅读器共享充电器，你可以为树莓派购买单独的电源外设。这种情况下，你需要一个能插入墙面插座的、有A型USB接口的USB电源插头。同时你需要一根一端是A型USB公连接器一端是B型Micro USB公连接器的USB线。图1.3显示了这样的一个例子。</p>
<p><a href="https://yqfile.alicdn.com/f8dc5b24d0fc5ef3038c9ab1ffa62ee82a1c0e33.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2Y4ZGM1YjI0ZDBmYzVlZjMwMzhjOWFiMWZmYTYyZWU4MmExYzBlMzMucG5n.jpg"></a></p>
<p>电源插头允许你插入任何墙壁插座上获取电力。而且你可以使用USB电源插头来为其他USB兼容设备供电。如果你打算将树莓派放到背包里，或者出于旅行考虑，你应该考虑选一个可以将线缆收纳起来的USB电源插头。它可以将电源插头变成一个漂亮的小立方体，以便于携带。</p>
<p>3．移动电源</p>
<p>移动电源是相当不错的选择，基本上它能在任何地方给你的树莓派供电。但是，它不便宜。移动电源包含一个锂离子电池组，可以通过家中墙上的插座或用USB电缆连接到电脑上进行充电。你可以把移动电源充好电并随身携带，当其他电源无法给树莓派供电时，就可以用它给树莓派供电。为了能给树莓派供电，移动电源至少应能提供5伏700毫安的电流。更昂贵的移动电源可以提供更多种方式充电，如汽车上的12伏电源接口以及墙上插座。</p>
<p>你仍然需要购买一根一端是A型USB公连接器、一端是B型Micro USB公连接器的USB线，来将树莓派连接到移动电源上。关于这样做的好处是，你可以在给移动电源充电的同时给树莓派供电。只是不要忘记当添加或移除树莓派外设的时候拔掉你的移动电源充电器。</p>
<h3>1.3.3　显示输出</h3>
<p>对于像树莓派这样小的设备，它仍然具有令人难以置信的图像显示能力。它那值得炫耀的HDMI接口，可以输出蓝光品质的播放内容。树莓派同时也提供复合输出，增加了在使用旧设备作为显示输出时的灵活性。再一次，你需要决定你的树莓派的功能。</p>
<p>1．使用较旧的显示设备</p>
<p>如果你有一个旧的模拟电视，你也可以使用它显示树莓派的输出。所需要的是一个复合视频接口连接器，通常是黄色。树莓派的复合输出接口也染成了同样的黄色。</p>
<p>复合输出接口只能输出视频。如果想得到声音，则需要一根音频线插到树莓派的音频输出接口上。音频线的另一端连接到你使用的声音输出设备（如外置扬声器）上。</p>
<p><strong>警告：</strong></p>
<pre><code>　不支持VGA

树莓派没有提供对VGA的支持。你可以使用DVI转VGA转换器，DVI连接会在下面描述。但是，这可能会给你的树莓派设置增加一个额外的故障点。
</code></pre>
<p>你可以通过DVI端口连接到电脑显示器上。在这种情况下，你需要一个适配器将HDMI转换到DVI输出。同样，就像复合视频线一样，DVI也不带音频信号。因此，你还需要一根音频线为你的树莓派提供声音输出。</p>
<p>2．使用现代显示设备</p>
<p>使用现代设备是获取树莓派视频和音频最简单的方法。要使用这种方法，你需要购买HDMI公对公电缆。如图1.4所示，将HDMI的一端插入到树莓派的HDMI端口，另一端插入电脑显示器或者电视上。当然，你应该确保你购买的HDMI电缆的长度能满足你的需求。HDMI电缆同时传输视频和音频信号，因此你只需要一根线。</p>
<p><a href="https://yqfile.alicdn.com/45ca3caddcfe7b4b3bc49058f7be6bda66dcdd6b.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzQ1Y2EzY2FkZGNmZTdiNGIzYmM0OTA1OGY3YmU2YmRhNjZkY2RkNmIucG5n.jpg"></a></p>
<h3>1.3.4　键盘</h3>
<p>使用什么样的键盘是最容易决定的。为了输入你的Python程序，并且尝试各种Python命令，你需要一个键盘。树莓派B型有两个USB端口（A型只有一个USB端口），你可以使用其中一个连接任何USB键盘。注意，大部分预包装树莓派套件并不包括USB键盘，但是你可能已经有一两个键盘了。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-25 05:51:35</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%93%8d%e4%bd%9c%e7%b3%bb%e7%bb%9f/" title="操作系统">操作系统</a>, <a href="https://www.iamivan.net/tag/python/" title="python">python</a>, <a href="https://www.iamivan.net/tag/%e7%bc%96%e7%a8%8b/" title="编程">编程</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>《树莓派Python编程入门与实战》——1.3　哪些树莓派外设是必须的的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boKwDgb.html" rel="bookmark">《树莓派Python编程入门与实战》&mdash;&mdash;第一部分 树莓派编程环境   第1章  配置树莓派   1&period;1 树莓派是什么</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第一部分 树莓派编程环境 第1章 配置树莓派 第2章 认识Raspbian linux发行版 第3章 搭建编程环境 第1章 配置树莓派 在本章中,你将学习如下内容. 树莓派是什么 如何获得一个树莓派 你的树莓派可能需要的一些外设 如何让树莓派工作 如何排除树莓派的故障 本章主要介绍树莓派:它是什么,它的历史,以及为什么你需要学习用Python在树莓派上进行编程.最后,你将了解到一些树莓派的外设以及将这些外设与树莓派组装好并运行起来的方法. 1.1 树莓派是什么 树莓派是一个非常廉价的.只有手掌大			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZdPYwM.html" rel="bookmark">《树莓派Python编程入门与实战》&mdash;&mdash;2&period;3　使用Raspbian图形用户界面</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.3 使用Raspbian图形用户界面 树莓派Python编程入门与实战 默认情况下,当你启动树莓派并登录后会进入到Linux命令行.但是树莓派同样还有一个图形用户界面(GUI,Graphical User Interface). 为了打开图形界面,你需要在命令行键入startx并且回车.然后轻量级的X11桌面环境(LXDE,Lightweight X11 Desktop Environment)就启动了,你可以看到一个类似图2.1的图形界面. 提示: Linux桌面环境 一个关于Linux的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8ZXD4b.html" rel="bookmark">《树莓派Python编程入门与实战》&mdash;&mdash;3&period;7　创建Python脚本</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				3.7 创建Python脚本 树莓派Python编程入门与实战 你可以将Python语句写入文件后再批量运行它们,而不是在每次需要运行程序的时候都一行一行输入进去.这些包含Python语句的文件叫作脚本. 你可以通过Python交互式shell或者用IDLE运行这些Python脚本.清单3.3显示了名为sample.py的脚本文件,它包含两个语句. 清单3.3 sample.py脚本 pi@raspberrypi ~ $ cat py3prog/sample.py print (&quot;Here is			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0Rg3Pz.html" rel="bookmark">《树莓派Python编程入门与实战》&mdash;&mdash;1&period;6　让你的树莓派正常工作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.6 让你的树莓派正常工作 树莓派Python编程入门与实战 一旦你决定要买,并拿到树莓派和必要的外围设备后,你就可以开始真正有意思的事了.当树莓派第一次启动后,你就会知道这是一个多么强大的小机器,你自己都会为此感到惊讶的.下面的章节将会介绍你需要为开机做的准备. 1.6.1 自己研究一下 就像生活中许多其他的东西,如果你未雨绸缪研究一下,启动你的树莓派并让它运行起来就会平稳而迅速地进行.花费这个前期的时间和精力是非常值得的.有许多优秀的资源可以提供帮助.例如,Hack-ing Raspber			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKYe15p.html" rel="bookmark">《树莓派Python编程入门与实战》&mdash;&mdash;3&period;3　安装Python和工具</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				3.3 安装Python和工具 树莓派Python编程入门与实战 如果你发现Python环境中缺了什么,别担心,这不是大问题.在这节,你可以通过下面的步骤快速安装所有的东西. 1．如果你的树莓派是使用有线连接到互联网的,确保它能连接到网络然后启动你的树莓派. 2．启动LXDE图形界面,如果它没有自动启动的话.如果使用的无线网络的话,确保它是工作的. 3．打开LXTerminal.在命令行提示符,输入sudo apt-get install python3 idle3 nano然后回车. 提示:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7xw55b.html" rel="bookmark">《树莓派Python编程入门与实战》&mdash;&mdash;3&period;5　关于Python交互式shell</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				3.5 关于Python交互式shell 树莓派Python编程入门与实战 Python交互式shell主要是用来测试一些Python语句和检查语法错误.你可以在命令行输入python3并回车来进入Python交互式shell. 提示: Python第二版交互式shell 如果你想是一些Python第二版的语句,你仍然可以在Raspbian上使用Python第二版的交互式shell.输入python2并回车来打开它. 图3.2显示了交互式shell.注意欢迎信息中显示了Python解释器的版本号			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlLn1RM.html" rel="bookmark">《树莓派Python编程入门与实战》&mdash;&mdash;3&period;4　关于Python解释器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				3.4 关于Python解释器 树莓派Python编程入门与实战 Python是一种解释型的语言,而不是一种编译型的语言.编译型的语言在它执行之前需要一次性把它所有的程序语句变成二进制代码.而解释型的语言,每次检查一条语句,翻译成二进制代码然后执行. 通过使用下列三类工具你可以学习大部分的Python语法和概念. 交互式shell --交互式shell允许你输入一条Python语句然后立即检查错误并解释. 开发环境shell--这个工具提供了很多特性来帮助Python开发.通过交互式shell,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAEd6nM.html" rel="bookmark">《树莓派Python编程入门与实战》&mdash;&mdash;第2章　认识Raspbian Linux发行版</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第2章 认识Raspbian Linux发行版 树莓派Python编程入门与实战 在本章中,你将学习如下内容. 什么是Linux 如何使用Raspbian命令行 Raspbian图形用户界面 在本章中,你将了解Raspbian,它是运行在你树莓派上的操作系统,并且它支持Python编程环境.通过本章的学习,你应该知道如何使用Raspbian的图形用户界面,系统的预装组件以及一些基本的shell命令.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MA63nnp.html" rel="bookmark">《树莓派Python编程入门与实战》&mdash;&mdash;1&period;2　获取树莓派</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.2 获取树莓派 树莓派Python编程入门与实战购买树莓派之前,你需要了解一些事情. 购买一个树莓派时你将得到什么?不同型号的树莓派.在哪里购买树莓派.你需要什么外设.当你购买了一个树莓派,你会得到一个手掌大小的电路板,它装备了片上系统(SoC,System on Chip).内存和多种接口.图1.2显示了一个你收到的B型树莓派的样子.它不具备内部存储设备.键盘或任何外围设备.因此你需要一些其他的外设才能让树莓派运行起来. 提示: 什么是片上系统 片上系统(SoC, System on Ch			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zG1q1vM.html" rel="bookmark">《树莓派Python编程入门与实战》&mdash;&mdash;1&period;5　决定如何购买外设</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.5 决定如何购买外设 树莓派Python编程入门与实战现在你已经知道树莓派需要哪些外设了,你可以决定哪些是最适合的.你可以购买树莓派和必备配件的预包装套件或者分别购买树莓派和必要的外设. 如果你决定买一个预包装套件,记住以下几点. 这个选项会让你比分别购买花更多的钱.套件的种类很多,一定要确定你买的套件有你想要的外设,或者做好单独买套件里没有的外设的打算.很多套件有预装操作系统的SD卡.如果你买了这样的套件,你可以跳过下载操作系统和把它部署到SD卡上的步骤,同样你也可以跳过下一节.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpdR6db.html" rel="bookmark" class="title">google进不去怎么办？</a>
					<div>
						  我们知道已经很久不能打开谷歌主页了,google进不去怎么办?有什么方法尅强制进入呢?下面小编为大家带来谷歌打不开最新有效解决办法. 目前像大家常访问的google.com以及google.com ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9vWVp.html" rel="bookmark" class="title">Excel中只打印图表以外内容的技巧</a>
					<div>
						当需要打印Excel图表时,可以直接选中图表,然后使用&quot;文件|打印&quot;命令进行打印,也可以直接单击工具栏中的&quot;打印&quot;按钮.而如果不想打印图表,只想打印图表以外的其 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qba52Qb.html" rel="bookmark" class="title">网页中实现浏览器的最大，最小化和关闭按钮</a>
					<div>
						按钮|浏览器|网页 &lt;html&gt;&lt;head&gt;&lt;title&gt;测试页面&lt;/title&gt;&lt;meta http-equiv=&quot;Content-T ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5A8yBp.html" rel="bookmark" class="title">Java 语法介绍&lpar;六&rpar;：循环</a>
					<div>
						循环: for,while和do Java中有三种循环控制语句,他们是:for语句.while语句和do语句,下面分别说明这三种语句的结构. 1:for循环 for语句的格式为: for (初始化语句 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PaBJM.html" rel="bookmark" class="title">更有效的使用Jbuilder编辑器</a>
					<div>
						一个优秀的程序员必须熟悉自己使用的编辑器,以前UNIX程序员十分熟悉VI,后来的Linux促进了Emacs的发展,这两种编辑器都是不需要鼠标的支持,而鼠标的出现很大程度上影响了编辑的速度,很多在win ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKLVNp.html" rel="bookmark" class="title">win2003 iis6&period;0下&period;NET2&period;0的Server Application Unavailable问题</a>
					<div>
						Boolean throwOnFileNotFound, Boolean forIntrospection) at System.Reflection.Assembly.InternalLoad(As ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5AyD6p.html" rel="bookmark" class="title">Win7系统任务栏网络图标变灰色怎么办？</a>
					<div>
						Win7系统任务栏网络图标变灰色怎么办?          1.右键点击桌面,然后选择&quot;屏幕分辨率&quot;; 2.在分辨率设置中,然后点击下图所示的&quot;高级设置&quot;; 3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXwGep.html" rel="bookmark" class="title">笔记本电脑的睡眠和休眠有什么区别</a>
					<div>
						在笔记本的开始菜单里我们能看到除了关机.重启.注销之外还有两个,睡眠模式和休眠模式,这两个模式有什么区别,怎么用,下面编辑整理了相关资料与大家分享下. &quot;睡眠&quot;是一种节能状态,当您 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBjwNz.html" rel="bookmark" class="title">Sql2000和Sql2005共存安装详细过程</a>
					<div>
						Sql2005版本:Sql2005开发版,两张CD的那种 操作系统:Window 2003 Server 假设您的电脑已安装了Sql2000,下面开始安装Sql2005. 一.运行光盘1 跳过 准备  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJPL6p.html" rel="bookmark" class="title">win7电脑右键菜单中的&OpenCurlyDoubleQuote;将此程序锁定到任务栏&rdquo;选项怎么关闭</a>
					<div>
						  1.首先,咱们同时按下win7旗舰版电脑键盘上的win+R快捷键打开电脑的运行窗口,在打开的运行窗口中,咱们输入gpedit.msc并单击回车,这样就可以打开win7旗舰版电脑的组策略编辑器窗口了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze71K9M.html" rel="bookmark" class="title">电脑刚启动时乱码</a>
					<div>
						  电脑在刚刚启动的时候,屏幕上出现乱码的情况. 由于是在系统启动之前屏幕上出现的乱码,就可以断定并不是软件的原因.电脑在开启后,屏幕上会最先出现显卡检测信息,这些文字是来自显卡上存储的字库.如果这些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZWZVz.html" rel="bookmark" class="title">ios-touchesMoved底层视图到上层视图</a>
					<div>
						问题描述 touchesMoved底层视图到上层视图 有网格视图作为子视图添加给一个主视图.在拖拽先添加的视图,到另一个视图下一层时,在touchesMoved中国拖拽视图如何修复内容? 解决方案 [ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3B0Wp.html" rel="bookmark" class="title">人工智能要这样玩才有戏，战略规划篇</a>
					<div>
						一.前言        其实很想写这么一个文章,缘起是涂鸦和度秘事业部的成立,有触动,也有感悟.陆老大够直接,够犀利.也希望一个好的开始,能终成善果,让狼厂在人工智能领域真正雄起. 二.移动之痛    ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8XJkb.html" rel="bookmark" class="title">ERROR 1045 &lpar;28000&rpar;&colon; Access denied for user &amp;amp&semi;&num;39&semi;root&amp;amp&semi;&num;39&semi;&commat;&amp;amp&semi;&num;39&semi;localhost&amp;amp&semi;&num;39&semi; &lpar;using password&colon; YES&rpar;</a>
					<div>
						ERROR 1045 (28000): Access denied for user 'root'@'localhost' (using password: YES) root@mysql ~]# m ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqA8XRM.html" rel="bookmark" class="title">opencv移植到arm上的问题</a>
					<div>
						问题描述 opencv移植到arm上的问题 参考1:http://www.ebaina.com/bbs/forum. ... &amp;extra=page%3D1 参考2: http://ebain ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32dvJz.html" rel="bookmark" class="title">软件定义数据中心（SDDC）的网络安全</a>
					<div>
						软件定义数据中心(SDDC)的安全性可以通过多种形式来保障,身份和访问管理来对用户行为进行控制,操作系统安全性来保护虚拟服务器以及数据安全性,以保护数据和信息安全.本文将会介绍SDDC体系架构中的网络 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEV7Az.html" rel="bookmark" class="title">DockOne微信分享（一一三）：从一个实际案例来谈容器落地的问题</a>
					<div>
						本文讲的是DockOne微信分享(一一三):从一个实际案例来谈容器落地的问题[编者的话]容器是这两年最热的一个话题,去年大家都在谈Mesos.Kubernetes.Swarm,究竟哪家的挖掘技术强,今 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6vOPM.html" rel="bookmark" class="title">《Adobe After Effects CC完全剖析》&mdash;&mdash;时间设置</a>
					<div>
						时间设置 在处理时间方面,After Effects比大多数视频应用程序更加灵活.你可以使用多种方法重设素材时间或者混合和匹配速度以及调整时间. 绝对(非相对)时间 After Effects是以绝对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgWYab.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;机器学习&rdquo;三重门，&OpenCurlyDoubleQuote;中庸之道&rdquo;趋若人（深度学习入门系列之四）</a>
					<div>
						更多深度文章,请关注云计算频道:https://yq.aliyun.com/cloud 系列文章: 一入侯门&quot;深&quot;似海,深度学习深几许(深度学习入门系列之一) 人工&quot;碳& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV09wDM.html" rel="bookmark" class="title">安装解压版本的MySQL，安装过程中的常见命令，检查windows系统错误日志的方式来检查MySQL启动错误，关于Fatal error&colon; Can&amp;amp&semi;&num;39&semi;t open and lock privilege</a>
					<div>
						安装mysql 下载mysql-5.6.26-winx64,并解压到:D:\Installed\mysql-5.6.26-winx64\mysql-5.6.26-winx64 创建data目录 创建m ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmVg3M.html" rel="bookmark" class="title">优投网CEO代瑞红：创投热地域不均 二线城市冷</a>
					<div>
						新浪微博上粉丝过千万人的名人,除了姚晨.徐熙娣这样的娱乐明星,还有李开复.徐小平这样的创投界人士.他们的高人气一方面与其青年导师的形象有关,另一方面也与时下的创投热不无联系. 近年来,在不同机构组织的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeonXAM.html" rel="bookmark" class="title">九城开下法律&OpenCurlyDoubleQuote;棋&rdquo; 四诉美国暴雪</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 九城&quot;截和&quot;,成也&quot;魔兽&quot;败亦&quot;魔兽&quot; 网游业在当前的全球经济危机中可谓一支独秀,网游也由此 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjkPGM.html" rel="bookmark" class="title">thinkphp 遍历出的username 和session里的username不相等！</a>
					<div>
						问题描述 thinkphp 遍历出的username 和session里的username不相等! 小弟才学tp不久,遇到一个奇怪的问题,弄了大半天都没有解决,是这样的 foreach 循环输出留言内 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXvrZb.html" rel="bookmark" class="title">什么是灰度发布？</a>
					<div>
						灰度发布是指在黑与白之间,能够平滑过渡的一种发布方式.AB test就是一种灰度发布方式,让一部用户继续用A,一部分用户开始用B,如果用户对B没有什么反对意见,那么逐步扩大范围,把所有用户都迁移到B上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQRolp.html" rel="bookmark" class="title">测试题答案</a>
					<div>
						  C++: 1.String 的具体实现 已知String类定义如下: class String {     public:     String(const char *str = NULL);  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqnq7p.html" rel="bookmark" class="title">php编程-在mysqli-&amp;amp&semi;amp&semi;gt&semi;query&lpar;&rpar;语句中遇到的两个问题，求大神解答下</a>
					<div>
						问题描述 在mysqli-&gt;query()语句中遇到的两个问题,求大神解答下 &lt;?php $mysqli=new mysqli(&quot;localhost&quot;, &quot;r ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1r30b.html" rel="bookmark" class="title">新手SEOer从哪些方面融入网络推广行业</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 博主今天想以自己的亲身体会谈谈新手 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj81LVp.html" rel="bookmark" class="title">php给图片加文字水印与图片水印代码&lpar;1&sol;2&rpar;</a>
					<div>
						$image-&gt;wprint_img();//执行图片水印 $image-&gt;wprint_string();//执行文字水印 */  代码如下 复制代码 class editimage{  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1KYKb.html" rel="bookmark" class="title">phpMyAdmin自动登录和取消自动登录的配置方法&lowbar;php实例</a>
					<div>
						一.如何设置phpMyAdmin自动登录? 首先在根目录找到config.sample.inc.php复制一份文件名改为config.inc.php(如果已经存在 config.inc.php 文件, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGrYDep.html" rel="bookmark" class="title">javascript设计模式 封装和信息隐藏（上）&lowbar;javascript技巧</a>
					<div>
						本文分上下两部分,上部讲基本模式(basic patterns):完全暴露法,下划线标记法和使用闭包:下部讲高级模式(Advanced Patterns),如何实现静态方法和属性,常量还有其他一些知识 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
